Loading...
Searching...
No Matches
HybridGaussianFactorGraph.cpp File Reference

Hybrid factor graph that uses type erasure. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::OrphanWrapper = BayesTreeOrphanWrapper<HybridBayesTree::Clique>

## Functions

const Ordering | gtsam::HybridOrdering (const HybridGaussianFactorGraph &graph)
| Return a Colamd constrained ordering where the discrete keys are eliminated after the continuous keys.
GaussianFactorGraphTree | gtsam::removeEmpty (const GaussianFactorGraphTree &sum)
std::pair< HybridConditional::shared_ptr, boost::shared_ptr< Factor > > | gtsam::EliminateHybrid (const HybridGaussianFactorGraph &factors, const Ordering &keys)
| Main elimination function for HybridGaussianFactorGraph.

## Detailed Description

Hybrid factor graph that uses type erasure.

Author
  Fan Jiang
  Varun Agrawal
  Frank Dellaert

Date
  Mar 11, 2022